Skip to main content
PATCH
/
v1alpha1
/
inference
/
deployments
/
{id}
Update a deployment
curl --request PATCH \
  --url https://api.example.com/v1alpha1/inference/deployments/{id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>",
  "name": "<string>",
  "gatewayIds": [
    "<string>"
  ],
  "runtime": {
    "engine": "<string>",
    "version": "<string>",
    "engineConfig": {}
  },
  "resources": {
    "instanceType": "<string>",
    "gpuCount": 123
  },
  "model": {
    "name": "<string>",
    "bucket": "<string>",
    "path": "<string>"
  },
  "autoscaling": {
    "min": 123,
    "max": 123,
    "priority": 123,
    "capacityClasses": [
      123
    ],
    "concurrency": 123
  },
  "traffic": {
    "weight": 123
  },
  "disabled": true
}
'
{
  "deployment": {
    "spec": {
      "id": "<string>",
      "name": "<string>",
      "gatewayIds": [
        "<string>"
      ],
      "runtime": {
        "engine": "<string>",
        "version": "<string>",
        "engineConfig": {}
      },
      "resources": {
        "instanceType": "<string>",
        "gpuCount": 123
      },
      "model": {
        "name": "<string>",
        "bucket": "<string>",
        "path": "<string>"
      },
      "autoscaling": {
        "min": 123,
        "max": 123,
        "priority": 123,
        "capacityClasses": [
          123
        ],
        "concurrency": 123
      },
      "traffic": {
        "weight": 123
      },
      "organizationId": "<string>",
      "disabled": true
    },
    "status": {
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "status": 123,
      "conditions": [
        {
          "type": "<string>",
          "status": 123,
          "lastUpdateTime": "2023-11-07T05:31:56Z",
          "reason": "<string>",
          "message": "<string>",
          "zone": "<string>"
        }
      ]
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.coreweave.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string
required

The ID of the deployment to update

Body

application/json

Request for UpdateDeployment

id
string
required

The ID of the deployment to update

name
string
required

The name of the deployment

gatewayIds
string[]
required

The gateways to associate the deployment with

runtime
object
required

Runtime selection and configuration

resources
object
required

Resource configuration for the deployment

model
object
required

The model configuration

autoscaling
object
required

The autoscaling configuration

traffic
object
required

The traffic configuration for the deployment

disabled
boolean

Disable the deployment

Response

OK

Response for UpdateDeployment

deployment
object

The updated deployment

Last modified on May 6, 2026